Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::BinaryWriter Class Reference

バイナリライタ More...

`#include <BinaryWriter.h>`

Inheritance diagram for Lamp::BinaryWriter:

List of all members.

## Public Member Functions
virtual | ~BinaryWriter ()
| デストラクタ
virtual void | writeBool (bool value)
| boolの書き出し
virtual void | writeChar (char value)
| charの書き出し
virtual void | writeUChar (u_char value)
| u_charの書き出し
virtual void | writeShort (short value)
| shortの書き出し
virtual void | writeUShort (u_short value)
| u_shortの書き出し
virtual void | writeInt (int value)
| intの書き出し
virtual void | writeUInt (u_int value)
| u_intの書き出し
virtual void | writeFloat (float value)
| floatの書き出し
virtual void | writeDouble (double value)
| doubleの書き出し
virtual void | writeString (const String &string)
| Stringの書き出し.
virtual void | writeArray (const void *array, int elementSize, int elementCount)
| 配列の書き出し
## Protected Member Functions
| BinaryWriter ()
| コンストラクタ

## Detailed Description

バイナリライタ

Definition at line 36 of file BinaryWriter.h.

## Member Function Documentation

void Lamp::BinaryWriter::writeArray | ( | const void * | array,
|  | int | elementSize,
|  | int | elementCount
| ) | `[virtual]`

  | 配列の書き出し Parameters:
  array | 書き出す配列
  elementSize | 要素のサイズ
  elementCount | 要素の数
Definition at line 92 of file BinaryWriter.cpp. References Lamp::Writer::writeBytes().

void Lamp::BinaryWriter::writeBool | ( | bool | value | ) | `[virtual]`

  | boolの書き出し Parameters:
  value | 書き出す値
Definition at line 40 of file BinaryWriter.cpp. References Lamp::Writer::writeBytes(). Referenced by Lamp::BinaryAnimationSaver::writeAnimationSet(), Lamp::BinarySceneSaver::writeBasicMaterialLink(), Lamp::BinaryAnimationSaver::writeCameraAnimation(), Lamp::BinaryAnimationSaver::writeCameraAnimationData(), Lamp::BinarySceneSaver::writeCharacterMesh(), Lamp::BinarySceneSaver::writeCharacterModel(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimation(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData(), Lamp::BinarySceneSaver::writeFog(), Lamp::BinarySceneSaver::writeLight(), Lamp::BinarySceneSaver::writeLODSceneNode(), Lamp::BinarySceneSaver::writeMaterial(), Lamp::BinarySceneSaver::writeMeshData(), Lamp::BinarySceneSaver::writeMeshLink(), Lamp::BinarySceneSaver::writeRigidMesh(), Lamp::BinarySceneSaver::writeSceneNode(), Lamp::BinaryAnimationSaver::writeSceneNodeAnimation(), Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData(), and Lamp::BinarySceneSaver::writeStandardModel().

void Lamp::BinaryWriter::writeChar | ( | char | value | ) | `[virtual]`

  | charの書き出し Parameters:
  value | 書き出す値
Definition at line 45 of file BinaryWriter.cpp. References Lamp::Writer::writeBytes().

void Lamp::BinaryWriter::writeDouble | ( | double | value | ) | `[virtual]`

  | doubleの書き出し Parameters:
  value | 書き出す値
Definition at line 80 of file BinaryWriter.cpp. References Lamp::Writer::writeBytes().

void Lamp::BinaryWriter::writeFloat | ( | float | value | ) | `[virtual]`

  | floatの書き出し Parameters:
  value | 書き出す値
Definition at line 75 of file BinaryWriter.cpp. References Lamp::Writer::writeBytes(). Referenced by Lamp::BinarySceneSaver::writeBasicMaterial(), Lamp::BinarySceneSaver::writeFog(), Lamp::BinarySceneSaver::writeLODSceneNode(), Lamp::BinarySceneSaver::writeMaterial(), Lamp::BinarySceneSaver::writePointLight(), Lamp::BinaryAnimationSaver::writeQuaternionLinearInterpolator(), Lamp::BinaryAnimationSaver::writeRotationConstantInterpolator(), Lamp::BinaryAnimationSaver::writeVectorConstantInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorLinearInterpolator().

void Lamp::BinaryWriter::writeInt | ( | int | value | ) | `[virtual]`

  | intの書き出し Parameters:
  value | 書き出す値
Definition at line 65 of file BinaryWriter.cpp. References Lamp::Writer::writeBytes(). Referenced by Lamp::BinarySceneSaver::endBlock(), Lamp::BinaryAnimationSaver::endBlock(), Lamp::BinarySceneSaver::startBlock(), Lamp::BinaryAnimationSaver::startBlock(), Lamp::LampInput::startLogging(), Lamp::BinaryAnimationSaver::writeAnimationSetLink(), Lamp::BinarySceneSaver::writeBasicMaterial(), Lamp::JoystickState::writeBinary(), Lamp::BinarySceneSaver::writeBoneLink(), Lamp::BinaryAnimationSaver::writeCameraAnimationData(), Lamp::BinarySceneSaver::writeCharacterModel(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimation(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData(), Lamp::BinaryAnimationSaver::writeEulerArrayInterpolator(), Lamp::BinarySceneSaver::writeFog(), Lamp::BinarySceneSaver::writeLODSceneNode(), Lamp::BinarySceneSaver::writeMaterial(), Lamp::BinarySceneSaver::writeMeshData(), Lamp::BinarySceneSaver::writeModelLink(), Lamp::BinaryAnimationSaver::writeQuaternionArrayInterpolator(), Lamp::BinaryAnimationSaver::writeQuaternionLinearInterpolator(), Lamp::BinaryAnimationSaver::writeRotationInterpolator(), Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData(), Lamp::BinarySceneSaver::writeSceneNodeLink(), Lamp::BinarySceneSaver::writeString(), Lamp::BinaryAnimationSaver::writeString(), Lamp::BinarySceneSaver::writeSurfaceTexture(), Lamp::BinarySceneSaver::writeTextureLink(), Lamp::BinaryAnimationSaver::writeVectorArrayInterpolator(), Lamp::BinaryAnimationSaver::writeVectorInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorLinearInterpolator().

void Lamp::BinaryWriter::writeShort | ( | short | value | ) | `[virtual]`

  | shortの書き出し Parameters:
  value | 書き出す値
Definition at line 55 of file BinaryWriter.cpp. References Lamp::Writer::writeBytes(). Referenced by Lamp::MouseState::writeBinary(), Lamp::JoystickState::writeBinary(), and Lamp::TargaSaver::writeHeader().

void Lamp::BinaryWriter::writeString | ( | const String & | string | ) | `[virtual]`

  | Stringの書き出し. Stringクラスをバイナリデータとして書き出します。 Parameters:
  string | 書き出すString
Definition at line 85 of file BinaryWriter.cpp. References Lamp::String::getBytes(), Lamp::String::getSize(), and Lamp::Writer::writeBytes(). Referenced by Lamp::LampInput::startLogging().

void Lamp::BinaryWriter::writeUChar | ( | u_char | value | ) | `[virtual]`

  | u_charの書き出し Parameters:
  value | 書き出す値
Definition at line 50 of file BinaryWriter.cpp. References u_char, and Lamp::Writer::writeBytes(). Referenced by Lamp::MouseState::writeBinary(), Lamp::KeyboardState::writeBinary(), and Lamp::TargaSaver::writeHeader().

void Lamp::BinaryWriter::writeUInt | ( | u_int | value | ) | `[virtual]`

  | u_intの書き出し Parameters:
  value | 書き出す値
Definition at line 70 of file BinaryWriter.cpp. References u_int, and Lamp::Writer::writeBytes(). Referenced by Lamp::JoystickState::writeBinary(), Lamp::TargaSaver::writeFooter(), Lamp::BinarySceneSaver::writeHeader(), Lamp::BinaryAnimationSaver::writeHeader(), Lamp::BinarySceneSaver::writeLight(), and Lamp::BinarySceneSaver::writeMaterial().

void Lamp::BinaryWriter::writeUShort | ( | u_short | value | ) | `[virtual]`

  | u_shortの書き出し Parameters:
  value | 書き出す値
Definition at line 60 of file BinaryWriter.cpp. References u_short, and Lamp::Writer::writeBytes().

The documentation for this class was generated from the following files:

- BinaryWriter.h
- BinaryWriter.cpp